### Class

# Shumate Coordinate

since: 1.0

#### Description [src]

    class Shumate.Coordinate : GObject.InitiallyUnowned
      implements Shumate.Location {
      /* No available fields */
    }

A simple object implementing `ShumateLocation`.

Available since: 1.0

#### Ancestors

- GInitiallyUnowned
- GObject

#### Implements

- ShumateLocation

#### Constructors

###### shumate_coordinate_new

Creates a new instance of `ShumateCoordinate`.

since: 1.0

###### shumate_coordinate_new_full

Creates a new instance of `ShumateCoordinate` initialized with the given coordinates.

since: 1.0

#### Instance methods

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from ShumateLocation (4)

###### shumate_location_distance

Calculates the distance in meters between two locations.

unstable since: 1.2

###### shumate_location_get_latitude

Gets the latitude coordinate in degrees.

since: 1.0

###### shumate_location_get_longitude

Gets the longitude coordinate in degrees.

since: 1.0

###### shumate_location_set_location

Sets the coordinates of the location.

since: 1.0

#### Properties

##### Properties inherited from ShumateLocation (2)

###### ShumateLocation:latitude

The latitude coordonate in degrees.

since: 1.0

###### ShumateLocation:longitude

The longitude coordonate in degrees.

since: 1.0

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

unstable since: 2.0

#### Class structure

    struct ShumateCoordinateClass {
      GInitiallyUnownedClass parent_class;

    }

No description available.

###### Class members

`parent_class: GInitiallyUnownedClass`
  No description available.